<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @package Catch Themes
 * @subpackage Rock Star Pro
 * @since Rock Star 1.0
 */

get_header();
?>

		<?php if ( have_posts() ) : ?>

			<?php
			$rock_star_options = rock_star_get_theme_options();

			if ( '' != $rock_star_options['latest_posts_title'] ) {
			?>
				<header class="page-header">
					<h2 class="section-title">
						<?php echo $rock_star_options['latest_posts_title']; ?>
					</h2>
				</header>
			<?php
			} //end if
			?>

			<div id="archive-blog-wrapper" class="archive-blog-wrapper <?php rock_star_archive_content_classes(); ?>">
				<?php while ( have_posts() ) : the_post(); ?>

					<?php
						/* Include the Post-Format-specific template for the content.
						 * If you want to override this in a child theme then include a file
						 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
						 */
						get_template_part( 'content', get_post_format() );
					?>

				<?php endwhile; ?>
			</div><!-- archive-blog-wrapper -->

			<?php rock_star_content_nav( 'nav-below' ); ?>

		<?php else : ?>

			<?php get_template_part( 'no-results', 'index' ); ?>

		<?php endif; ?>

<?php

get_sidebar();

get_footer();